Subject: Re: compiling withoug glibc

From: Benjamin Krill <[email-masked]>
Date: Mon, 12 Mar 2007 07:42:49 +0100

Hey,

did you try the options "-nostdlib -nostdinc"?

cheers
 ben

* David H. Lynch Jr | 2007-03-11 23:29:35 [-0500]:

>
>    I have several projects that need to be built using GCC but
>absolutely no external libraries, headers etc.
>    not glibc, not uClibc, nothing.
>
>    I also need to do this under both windows and Linux.
>
>    I have been somewhat successful by renaming directories inside the
>crosscompiler subdirectory so that gcc, ... can't find any standard
>libraries etc.
>
>    But I can not get this to work uniformly accross platforms, and I
>can not trivially reverse it when I do need glibc.
>
>    I have the vaguest clue that doing this has something to do with
>triggering gcc to run through different peices of the "specs" file,
>    but what I can find of documentation is opaque too me.
>
>    A clue would be greatly appreciated.
>
>
>
>
>
>-- 
>Dave Lynch 					  	    DLA Systems
>Software Development:  				         Embedded Linux
>717.627.3770 	       [email-masked] 	  http://www.dlasys.net
>fax: 1.253.369.9244 			           Cell: 1.717.587.7774
>Over 25 years' experience in platforms, languages, and technologies too numerous to list.
>
>"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
>Albert Einstein
>
>_______________________________________________
>Linuxppc-embedded mailing list
>[email-masked]
>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>

-- 
[ Benjamin Krill ][ ben(@)codiert(.)org ][ http://codiert.org ]